<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2000 - INRIA - Carlos Klimann
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="perctl">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>perctl</refname>
    <refpurpose> computation of percentils</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>p=perctl(x,y)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>real or complex vector or matrix</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>y</term>
        <listitem>
          <para>vector of positif values between 0 and 100.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
			Compute the matrix p of percentils (in increasing
			order,  column  first) of  the  real  vector or  matrix
			x indicated by the entries of y, the values
			of entries of y must be positive integers between
			0  and  100.   p   is  a  matrix  whose  type  is
			length(y) x 2 and the content of its first column
			are the percentils values.   The contents of its second
			column are  the places  of the computed  percentiles in
			the input matrix x.
		</para>
    <para>
			The minimum or maximum values in x are assigned to
			percentiles for percent values outside that range.
		</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
x=[6  7 0 7 10 4 2 2 7  1;
   6  0 5 5 5  2 0 6 8  10;
   8  6 4 3 5  9 8 3 4  7;
   1  3 2 7 6  1 1 4 8  2;
   6  3 5 1 6  5 9 9 5  5;
   1  6 4 4 5  4 0 8 1  8;
   7  1 3 7 8  0 2 8 10 8;
   3  6 1 9 8  5 5 3 2  1;
   5  7 6 2 10 8 7 4 0  8;
   10 3 3 4 8  6 9 4 8  3]
y=[10 20 30]
p=perctl(x,y)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para> Carlos Klimann</para>
  </refsection>
  <refsection>
    <title>Bibliography</title>
    <para>
			HYNDMAN,Rob  J.   and FAN  Yanan,  Sample Quantiles  in
			Statistical   Packages,   The  American   Statistician,
			Nov.1996, Vol 50, No.4
		</para>
  </refsection>
</refentry>
